# OSGeo::FDO::Geometry::EnvelopeImpl Class Reference
[OSGeo::FDO::Geometry]

Inheritance diagram for OSGeo::FDO::Geometry::EnvelopeImpl:

[legend]

List of all members.

## Detailed Description

The EnvelopeImpl class is a default implementation of IEnvelope. EnvelopeImpl implements accessors from IEnvelope, matching mutators, and simple data members. Assignment, exact equality operators, and utility methods are also provided.

()

## Public Member Functions
| EnvelopeImpl (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs an Envelope based on an unmanaged instance of the object.
| EnvelopeImpl (System::Int32 dimensionType, System::Double ordinates __gc[])
| Constructs a EnvelopeImpl object by copying from an array of ordinates.
| EnvelopeImpl (OSGeo::FDO::Geometry::IDirectPosition *lowerLeft, OSGeo::FDO::Geometry::IDirectPosition *upperRight)
| Constructs a EnvelopeImpl object from two positions.
| EnvelopeImpl (EnvelopeImpl *envelopeImpl)
| Constructs a copy of a EnvelopeImpl.
| EnvelopeImpl (System::Double minX, System::Double minY, System::Double minZ, System::Double maxX, System::Double maxY, System::Double maxZ)
| Constructs a 3D EnvelopeImpl object from X, Y and Z ordinates.
| EnvelopeImpl (System::Double minX, System::Double minY, System::Double maxX, System::Double maxY)
| Constructs a 2D EnvelopeImpl object from X and Y ordinates.
| EnvelopeImpl ()
| Constructs a default instance of a EnvelopeImpl object.
System::Boolean | Equals (System::Object *obj)
| Equality function for EnvelopeImpl.
System::Void | Expand (OSGeo::FDO::Geometry::IEnvelope *envelope)
| Expands the envelope's extents to include another envelope.
System::Void | Expand (OSGeo::FDO::Geometry::IDirectPosition *position)
| Expands the envelope's extents to include a given position.
__property System::Boolean | get_IsEmpty ()
| Indicates whether the envelope's extents are set.
__property System::Double | get_MaxX ()
| Gets the maximum X coordinate value.
__property System::Double | get_MaxY ()
| Gets the maximum Y coordinate value.
__property System::Double | get_MaxZ ()
| Gets the maximum Z coordinate value.
__property System::Double | get_MinX ()
| Gets the minimum X coordinate value.
__property System::Double | get_MinY ()
| Gets the minimum Y coordinate value.
__property System::Double | get_MinZ ()
| Gets the minimum Z coordinate value.
__property System::Void | set_MaxX (System::Double maxX)
| Sets the maximum X coordinate value.
__property System::Void | set_MaxY (System::Double maxY)
| Sets the maximum Y coordinate value.
__property System::Void | set_MaxZ (System::Double maxZ)
| Sets the maximum Z coordinate value.
__property System::Void | set_MinX (System::Double minX)
| Sets the minimum X coordinate value.
__property System::Void | set_MinY (System::Double minY)
| Sets the minimum Y coordinate value.
__property System::Void | set_MinZ (System::Double minZ)
| Sets the minimum Z coordinate value.
## Static Public Member Functions
static System::Boolean | op_Equality (EnvelopeImpl *left, EnvelopeImpl *right)
| Equality function for EnvelopeImpl.
static System::Boolean | op_Inequality (EnvelopeImpl *left, EnvelopeImpl *right)
| InEquality function for EnvelopeImpl.